POST api/Receipt/InsertOrUpdateTakePayment
Insert/Update receipt payment
Request Information
URI Parameters
None.
Body Parameters
ReceiptForTakePaymentInsertModel properties.
ReceiptForTakePaymentInsertModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Description | string |
None. |
|
| InvoiceNumber | string |
None. |
|
| LocationId | string |
None. |
|
| LocationBusinessName | string |
None. |
|
| TransactionDate | date |
None. |
|
| DueDate | date |
None. |
|
| Number | string |
None. |
|
| PaymentReceiptDate | date |
None. |
|
| InsuredCommercialName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| Fees | Collection of ReceiptInsertModelFee |
None. |
|
| PaymentMethodAndPaidAmount | PaymentMethodAndPaidAmount |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| PolicyNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "acc5fdd6-ad22-4706-9781-6f6fcb366974",
"description": "sample string 2",
"invoiceNumber": "sample string 3",
"locationId": "sample string 4",
"locationBusinessName": "sample string 5",
"transactionDate": "2026-09-02T15:25:12.0305643-05:00",
"dueDate": "2026-09-02T15:25:12.0305643-05:00",
"number": "sample string 8",
"paymentReceiptDate": "2026-09-02T15:25:12.0305643-05:00",
"insuredCommercialName": "sample string 10",
"insuredDatabaseId": "6e247ad7-0e5c-4ec4-ad92-e55e895e0de6",
"insuredEmail": "sample string 11",
"insuredFirstName": "sample string 12",
"insuredLastName": "sample string 13",
"fees": [
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
},
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
}
],
"paymentMethodAndPaidAmount": {
"paymentMethod": "sample string 1",
"paidAmount": 2.1,
"confirmationRefNum": "sample string 3",
"paymentNotes": "sample string 4"
},
"policyId": "e1ae56ad-2780-4561-b55e-824c5628efcd",
"policyNumber": "sample string 15"
}
application/xml, text/xml
Sample:
<ReceiptForTakePaymentInsertModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
<Description>sample string 2</Description>
<DueDate>2026-09-02T15:25:12.0305643-05:00</DueDate>
<Fees>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
</Fees>
<Id>acc5fdd6-ad22-4706-9781-6f6fcb366974</Id>
<InsuredCommercialName>sample string 10</InsuredCommercialName>
<InsuredDatabaseId>6e247ad7-0e5c-4ec4-ad92-e55e895e0de6</InsuredDatabaseId>
<InsuredEmail>sample string 11</InsuredEmail>
<InsuredFirstName>sample string 12</InsuredFirstName>
<InsuredLastName>sample string 13</InsuredLastName>
<InvoiceNumber>sample string 3</InvoiceNumber>
<LocationBusinessName>sample string 5</LocationBusinessName>
<LocationId>sample string 4</LocationId>
<Number>sample string 8</Number>
<PaymentMethodAndPaidAmount>
<ConfirmationRefNum>sample string 3</ConfirmationRefNum>
<PaidAmount>2.1</PaidAmount>
<PaymentMethod>sample string 1</PaymentMethod>
<PaymentNotes>sample string 4</PaymentNotes>
</PaymentMethodAndPaidAmount>
<PaymentReceiptDate>2026-09-02T15:25:12.0305643-05:00</PaymentReceiptDate>
<PolicyId>e1ae56ad-2780-4561-b55e-824c5628efcd</PolicyId>
<PolicyNumber>sample string 15</PolicyNumber>
<TransactionDate>2026-09-02T15:25:12.0305643-05:00</TransactionDate>
</ReceiptForTakePaymentInsertModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultOfReceiptForTakePaymentInsertModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Data | ReceiptForTakePaymentInsertModel |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"data": {
"id": "2584249f-5b70-44e5-8b38-33e119e6ebfa",
"description": "sample string 2",
"invoiceNumber": "sample string 3",
"locationId": "sample string 4",
"locationBusinessName": "sample string 5",
"transactionDate": "2026-09-02T15:25:12.0461923-05:00",
"dueDate": "2026-09-02T15:25:12.0461923-05:00",
"number": "sample string 8",
"paymentReceiptDate": "2026-09-02T15:25:12.0461923-05:00",
"insuredCommercialName": "sample string 10",
"insuredDatabaseId": "e84a75ad-74b5-4583-8062-5ca8f0fae27e",
"insuredEmail": "sample string 11",
"insuredFirstName": "sample string 12",
"insuredLastName": "sample string 13",
"fees": [
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
},
{
"feeName": "sample string 1",
"dueAmount": 1.0,
"paidAmount": 1.0
}
],
"paymentMethodAndPaidAmount": {
"paymentMethod": "sample string 1",
"paidAmount": 2.1,
"confirmationRefNum": "sample string 3",
"paymentNotes": "sample string 4"
},
"policyId": "bd4ed519-0331-4b55-88fa-13dabe0c86bb",
"policyNumber": "sample string 15"
},
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResultOfReceiptForTakePaymentInsertModelodPQ2rGR xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
<Data>
<Description>sample string 2</Description>
<DueDate>2026-09-02T15:25:12.0461923-05:00</DueDate>
<Fees>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
<ReceiptInsertModelFee>
<DueAmount>1</DueAmount>
<FeeName>sample string 1</FeeName>
<PaidAmount>1</PaidAmount>
</ReceiptInsertModelFee>
</Fees>
<Id>2584249f-5b70-44e5-8b38-33e119e6ebfa</Id>
<InsuredCommercialName>sample string 10</InsuredCommercialName>
<InsuredDatabaseId>e84a75ad-74b5-4583-8062-5ca8f0fae27e</InsuredDatabaseId>
<InsuredEmail>sample string 11</InsuredEmail>
<InsuredFirstName>sample string 12</InsuredFirstName>
<InsuredLastName>sample string 13</InsuredLastName>
<InvoiceNumber>sample string 3</InvoiceNumber>
<LocationBusinessName>sample string 5</LocationBusinessName>
<LocationId>sample string 4</LocationId>
<Number>sample string 8</Number>
<PaymentMethodAndPaidAmount>
<ConfirmationRefNum>sample string 3</ConfirmationRefNum>
<PaidAmount>2.1</PaidAmount>
<PaymentMethod>sample string 1</PaymentMethod>
<PaymentNotes>sample string 4</PaymentNotes>
</PaymentMethodAndPaidAmount>
<PaymentReceiptDate>2026-09-02T15:25:12.0461923-05:00</PaymentReceiptDate>
<PolicyId>bd4ed519-0331-4b55-88fa-13dabe0c86bb</PolicyId>
<PolicyNumber>sample string 15</PolicyNumber>
<TransactionDate>2026-09-02T15:25:12.0461923-05:00</TransactionDate>
</Data>
<Message>sample string 1</Message>
<Status>Error</Status>
</NowCertsApiResultOfReceiptForTakePaymentInsertModelodPQ2rGR>